Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOutlineCornerFilter Class Reference

`#include <vtkOutlineCornerFilter.h>`

Inheritance diagram for vtkOutlineCornerFilter:

[legend]
Collaboration diagram for vtkOutlineCornerFilter:

[legend]
List of all members.

## Detailed Description

create wireframe outline corners for arbitrary data set

Date:
  2002/01/22 15:29:31

Revision:
  1.9

vtkOutlineCornerFilter is a filter that generates wireframe outline corners of any data set. The outline consists of the eight corners of the dataset bounding box.

Created by:
  - Barre, Sebastien

CVS contributions (if > 5%):
  - Barre, Sebastien (90%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkOutlineCornerFilter.h)`
  - .`cxx` (`/Graphics/vtkOutlineCornerFilter.cxx)`

Tests:
  vtkOutlineCornerFilter (Tests)

Definition at line 46 of file vtkOutlineCornerFilter.h.

## Public Types
typedef vtkDataSetToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetCornerFactor (float)
virtual float | GetCornerFactor ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkOutlineCornerFilter * | SafeDownCast (vtkObject *o)
vtkOutlineCornerFilter * | New ()
## Protected Methods
| vtkOutlineCornerFilter ()
| ~vtkOutlineCornerFilter ()
void | Execute ()
void | ExecuteInformation ()
## Protected Attributes
vtkOutlineCornerSource * | OutlineCornerSource
float | CornerFactor

## Member Typedef Documentation

typedef vtkDataSetToPolyDataFilter vtkOutlineCornerFilter::Superclass

| Reimplemented from vtkDataSetToPolyDataFilter. Definition at line 49 of file vtkOutlineCornerFilter.h.

## Constructor & Destructor Documentation

vtkOutlineCornerFilter::vtkOutlineCornerFilter | ( |  | ) | `[protected]`

vtkOutlineCornerFilter::~vtkOutlineCornerFilter | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkOutlineCornerFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToPolyDataFilter.

int vtkOutlineCornerFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

virtual int vtkOutlineCornerFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

vtkOutlineCornerFilter* vtkOutlineCornerFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToPolyDataFilter.

void vtkOutlineCornerFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToPolyDataFilter.

vtkOutlineCornerFilter* vtkOutlineCornerFilter::New | ( |  | ) | `[static]`

| Construct outline corner filter with default corner factor = 0.2 Reimplemented from vtkObject.

virtual void vtkOutlineCornerFilter::SetCornerFactor | ( | float |  | ) | `[virtual]`

| Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds

virtual float vtkOutlineCornerFilter::GetCornerFactor | ( |  | ) | `[virtual]`

| Set/Get the factor that controls the relative size of the corners to the length of the corresponding bounds

void vtkOutlineCornerFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkOutlineCornerFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

## Member Data Documentation

vtkOutlineCornerSource* vtkOutlineCornerFilter::OutlineCornerSource`[protected]`

| Definition at line 66 of file vtkOutlineCornerFilter.h.

float vtkOutlineCornerFilter::CornerFactor`[protected]`

| Definition at line 70 of file vtkOutlineCornerFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkOutlineCornerFilter.h